Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.model.state
Class PropertiesStateImpl

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.stc.connector.tcpip.model.state.PropertiesStateImpl

All Implemented Interfaces:
  State, java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class PropertiesStateImpl

extends java.util.Properties
implements State, java.io.Serializable

A simple State which represents a java Properties.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2005/09/03 06:33:21 $
Author:
  Harry Liu
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `version`

Fields inherited from class java.util.Properties
`defaults`

Fields inherited from interface com.stc.connector.tcpip.model.state.State
`SCOPE_COLLABORATION, SCOPE_CONNECTION, SCOPE_OTD, SCOPE_PERSISTENCE, SCOPE_RESOURCE_ADAPTER`

Constructor Summary
`PropertiesStateImpl()`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, setProperty, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### PropertiesStateImpl

    public PropertiesStateImpl()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.Hashtable<java.lang.Object,java.lang.Object>`
  See Also:
    `Returns a string representation of the Properties object in the form of a set of entries, enclosed in braces and separated by the ASCII characters ", " (comma and space). Each entry is rendered as the key, an equals sign =, and the associated element, where the toString method is used to convert the key and element to strings.`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD